| Face Engine SDK 5.32.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IHumanFaceBatch Struct Referenceabstract

HumanFace result batch interface. More...

`#include <IHumanFaceBatch.h>`

Inheritance diagram for fsdk::IHumanFaceBatch:

## Public Member Functions
virtual size_t | getSize () const noexcept=0
| Returns size. More...
virtual Span< const Detection > | getHumanDetections (size_t index=0) const noexcept=0
| Returns human detections Span. More...
virtual Span< const Detection > | getFaceDetections (size_t index=0) const noexcept=0
| Returns face detections Span. More...
virtual Span< const HumanFaceAssociation > | getAssociations (size_t index=0) const noexcept=0
| Returns human and face associations Span. Each element of this Span is a pair of indexes from corresponding human and face detections Spans. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

HumanFace result batch interface.

## Member Function Documentation

## ◆ getAssociations()

virtual Span<const HumanFaceAssociation> fsdk::IHumanFaceBatch::getAssociations | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns human and face associations Span. Each element of this Span is a pair of indexes from corresponding human and face detections Spans.

Parameters

  [in] | index | index of the element of batch.

Returns
  span of face detections coordinates in corresponding source images space.

See also
  HumanFaceAssociation for details.

Note
  This span is based on internal memory and should not be freed by caller.
  Span could be empty if no any associations were detected on the target image or index is incorrect. To check index use getSize() method.

## ◆ getFaceDetections()

virtual Span<const Detection> fsdk::IHumanFaceBatch::getFaceDetections | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns face detections Span.

Parameters

  [in] | index | index of the element of batch.

Returns
  span of face detections coordinates in corresponding source images space.

See also
  Span and Detection for details.

Note
  This span is based on internal memory and should not be freed by caller.
  Span could be empty if no any faces were detected on the target image or index is incorrect. To check index use getSize() method.

## ◆ getHumanDetections()

virtual Span<const Detection> fsdk::IHumanFaceBatch::getHumanDetections | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns human detections Span.

Parameters

  [in] | index | index of the element of batch.

Returns
  span of face detections coordinates in corresponding source images space.

See also
  Span and Detection for details.

Note
  This span is based on internal memory and should not be freed by caller.
  Span could be empty if no any humans were detected on the target image or index is incorrect. To check index use getSize() method.

## ◆ getSize()

virtual size_t fsdk::IHumanFaceBatch::getSize | ( |  | ) | const
| pure virtual noexcept

Returns size.

Returns
  size of the batch.

The documentation for this struct was generated from the following file:

- include/fsdk/IHumanFaceBatch.h